## zowe › endevor-bridge-for-git › list › user

List users

#### Usage

zowe endevor-bridge-for-git list user [username] [options]

#### Positional Arguments

- `username` (string)

  - Username of Endevor Bridge For Git user.

#### Options

- `--page` (number)

  - Page number.

    Default value: 1

- `--size` (number)

  - Number of records in the response.

    Default value: 100

#### Endevor Bridge for Git connection options (you can also use an 'ebg' profile)

- `--protocol` | `--prot` (string)

  - Endevor Bridge for Git SCM protocol.

    Default: https

    Default value: https
    Allowed values: http, https

- `--host` | `-H` (string)

  - Endevor Bridge for Git hostname.

- `--port` | `-P` (number)

  - Endevor Bridge for Git port.

- `--user` | `-u` (string)

  - Endevor Bridge for Git username (your git username).

- `--token` | `-t` (string)

  - Git personal access token (Obtain the token from your Git Enterprise Server).

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default: false

- `--ebg-base-path` (string)

  - The Endevor Bridge for Git Rest API base path.

#### Profile Options

- `--ebg-profile` | `--ebg-p` (string)

  - The name of a (ebg) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--password` | `--pass` | `--pw` (string)

  - Password to authenticate to service on the mainframe.

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Response Format Options

- `--response-format-filter` | `--rff` (array)

  - Filter (include) fields in the response. Accepts an array of field/property names to include in the output response. You can filter JSON objects properties OR table columns/fields. In addition, you can use this option in conjunction with '--response-format-type' to reduce the output of a command to a single field/property or a list of a single field/property.

- `--response-format-type` | `--rft` (string)

  - The command response output format type. Must be one of the following:

    table: Formats output data as a table. Use this option when the output data is an array of homogeneous JSON objects. Each property of the object will become a column in the table.

    list: Formats output data as a list of strings. Can be used on any data type (JSON objects/arrays) are stringified and a new line is added after each entry in an array.

    object: Formats output data as a list of prettified objects (or single object). Can be used in place of "table" to change from tabular output to a list of prettified objects.

    string: Formats output data as a string. JSON objects/arrays are stringified.

    Allowed values: table, list, object, string

- `--response-format-header` | `--rfh` (boolean)

  - If "--response-format-type table" is specified, include the column headers in the output.

#### Examples

- Use the default EBG profile to list all Bridge for Git users.:

  - `zowe endevor-bridge-for-git list user`

- List specific number of users using the default EBG profile:

  - `zowe endevor-bridge-for-git list user OPERATION-ID --size 5`

- Use the default EBG profile to list current user.:

  - `zowe endevor-bridge-for-git list user me`

- Use the default EBG profile to list use USERNAME.:

  - `zowe endevor-bridge-for-git list user USERNAME`

- List all the Bridge for Git users without an EBG profile.:

  - `zowe endevor-bridge-for-git list user --protocol http --host my-host --port 8080 --user my-git-username --token 1234567890`